# class Byebug::StepCommand

Implements the step functionality.

Allows the user the continue execution until the next instruction, possibily in a different frame. Use step to step into method calls or blocks.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/stepping.rb, line 66
    def description
      prettify <<-EOD
        s[tep][ nnn]

        Steps (into methods) once or nnn times.
      EOD
    end

names() click to toggle source

    # File lib/byebug/commands/stepping.rb, line 62
    def names
      %w(step)
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/stepping.rb, line 53
    def execute
      steps, err = parse_steps(@match[1], 'Steps')
      return errmsg(err) unless steps

      @state.context.step_into(steps, @state.frame)
      @state.proceed
    end

regexp() click to toggle source

    # File lib/byebug/commands/stepping.rb, line 49
    def regexp
      /^\s* s(?:tep)? (?:\s+(\S+))? \s*$/x
    end